Bug 691262 - As a server admin, I want a Liquibase shell script so that I can manage database upgrades
As a server admin, I want a Liquibase shell script so that I can manage datab...
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-Scripts (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: zanata-dev-internal
Ding-Yi Chen
: Improvement, UserStory
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-27 20:44 EDT by Sean Flanigan
Modified: 2011-10-28 03:25 EDT (History)
1 user (show)

See Also:
Fixed In Version: 54fdde46bf3da69987c65c5d30f3d8c2a558a5e4
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-28 03:25:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sean Flanigan 2011-03-27 20:44:39 EDT
This script should run Liquibase with the mysql driver, and the appropriate classpath (changelog files, custom changeset classes, dependencies), pass through any options or arguments (eg "update"), and prompt the admin for database username/password.
Comment 1 Sean Flanigan 2011-05-11 02:38:31 EDT
Implemented in https://github.com/zanata/zanata/commit/54fdde46bf3da69987c65c5d30f3d8c2a558a5e4.

Note that the script doesn't prompt for username password, but it can read them from liquibase.properties in (a) current directory or (b) $HOME/.config.
Comment 2 Ding-Yi Chen 2011-07-25 21:05:24 EDT
VERIFIED with commit 54fdde46bf3da69987c6

Note You need to log in before you can comment on or make changes to this bug.